unit DemoFrame;

interface

uses
  SysUtils, Types, UITypes, Classes, Variants, FMX_Types, FMX_Controls, FMX_Forms,
  FMX_Dialogs, FMX_Layouts, FMX_Edit;

type
  TFrmDemo = class(TForm)
    edUsername: TEdit;
    Label1: TLabel;
    GridLayout1: TGridLayout;
    edPassword: TEdit;
    Label2: TLabel;
    edPincode: TEdit;
    Label3: TLabel;
    btnLogin: TButton;
    Label4: TLabel;
    procedure GridLayout1Resize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmDemo: TFrmDemo;

implementation

{$R *.lfm}

procedure TFrmDemo.GridLayout1Resize(Sender: TObject);
begin
  GridLayout1.ItemWidth := GridLayout1.Width / 2; // 2 columns
end;

end.
